Bug 1733274 - Uninstalling a package previously installed with PackageKit using dnf does not uninstall any unused dependencies
Summary: Uninstalling a package previously installed with PackageKit using dnf does no...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 14:58 UTC by Daniel Rusek
Modified: 2020-02-11 15:48 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Daniel Rusek 2019-07-25 14:58:04 UTC
Description of problem:
When uninstalling a package previously installed with PackageKit (GNOME Software or pkcon) on latest Fedora Rawhide using dnf remove, dnf does not find any unused dependencies and uninstalls only the base package. No dependencies are also found when running dnf autoremove afterwards. This seems to be a dnf regression, see the link from Additional info.

Version-Release number of selected component (if applicable):
dnf-4.2.7-2.fc31.noarch
PackageKit-1.1.12-10.fc31.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Install some package that has additional dependencies with pkcon.
2. After the installation, try uninstalling the package using "dnf remove".

Actual results:
Only the base package is uninstalled.

Expected results:
Both the base package and the previously installed dependencies are uninstalled.

Additional info:
https://github.com/hughsie/PackageKit/issues/201#issuecomment-515067267

Comment 1 Jaroslav Mracek 2019-07-25 17:57:27 UTC
I beliew that the problem is what is stored in transaction database (swdb) after PackageKit transaction. I would like to ask PackageKit maintainers to take a look (I know that the code is probably in libdnf, but originate a lot from libhif). If you don't want to fix it please close it as a won't fix as a sign that PackageKit is unmaintained.

Comment 2 Daniel Rusek 2019-07-28 20:02:46 UTC
Let's hope that GNOME Software will soon switch to libdnf instead of using PackageKit. :-)

Comment 3 Daniel Rusek 2019-08-04 12:42:22 UTC
I have tested this with various Fedora versions and it seems that the issue happens since Fedora 29. It worked fine in Fedora 28.

Comment 4 Ben Cotton 2019-08-13 17:02:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:34:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Daniel Rusek 2019-08-26 18:30:27 UTC
So what is the status here? Any chance this will be fixed (in dnf or PackageKit)?

Comment 7 Ben Cotton 2020-02-11 15:48:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.